aagc.vo

## Class PianoAssistenzialeResidenzialeService

- java.lang.Object
- - javax.xml.ws.Service
  - - aagc.vo.PianoAssistenzialeResidenzialeService

-     @WebServiceClient(name="PianoAssistenzialeResidenzialeService",
                        targetNamespace="www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/",
                        wsdlLocation="file:/H:/workspace/pddasl/compile/PianoAssistenzialeResidenzialeWS_ErogatoreLogico.wsdl")
      public class PianoAssistenzialeResidenzialeService
      extends javax.xml.ws.Service

  This class was generated by the JAX-WS RI. JAX-WS RI 2.2.10 Generated source version: 2.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.xml.ws.Service

      `javax.xml.ws.Service.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.ws.WebServiceException` | `PIANOASSISTENZIALERESIDENZIALESERVICE_EXCEPTION`
    `private static javax.xml.namespace.QName` | `PIANOASSISTENZIALERESIDENZIALESERVICE_QNAME`
    `private static java.net.URL` | `PIANOASSISTENZIALERESIDENZIALESERVICE_WSDL_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PianoAssistenzialeResidenzialeService()`
    `PianoAssistenzialeResidenzialeService(java.net.URL wsdlLocation, javax.xml.namespace.QName serviceName)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.net.URL` | `__getWsdlLocation()`
    `PianoAssistenzialeResidenziale` | `getPianoAssistenzialeResidenzialePort()`
    `PianoAssistenzialeResidenziale` | `getPianoAssistenzialeResidenzialePort(javax.xml.ws.WebServiceFeature... features)`

    - ### Methods inherited from class javax.xml.ws.Service

      `addPort, create, create, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PIANOASSISTENZIALERESIDENZIALESERVICE_WSDL_LOCATION

          private static final java.net.URL PIANOASSISTENZIALERESIDENZIALESERVICE_WSDL_LOCATION

    - #### PIANOASSISTENZIALERESIDENZIALESERVICE_EXCEPTION

          private static final javax.xml.ws.WebServiceException PIANOASSISTENZIALERESIDENZIALESERVICE_EXCEPTION

    - #### PIANOASSISTENZIALERESIDENZIALESERVICE_QNAME

          private static final javax.xml.namespace.QName PIANOASSISTENZIALERESIDENZIALESERVICE_QNAME

  - ### Constructor Detail

    - #### PianoAssistenzialeResidenzialeService

          public PianoAssistenzialeResidenzialeService()

    - #### PianoAssistenzialeResidenzialeService

          public PianoAssistenzialeResidenzialeService(java.net.URL wsdlLocation,
                                                       javax.xml.namespace.QName serviceName)

  - ### Method Detail

    - #### getPianoAssistenzialeResidenzialePort

          @WebEndpoint(name="PianoAssistenzialeResidenzialePort")
          public PianoAssistenzialeResidenziale getPianoAssistenzialeResidenzialePort()

      Returns:
        returns PianoAssistenzialeResidenziale

    - #### getPianoAssistenzialeResidenzialePort

          @WebEndpoint(name="PianoAssistenzialeResidenzialePort")
          public PianoAssistenzialeResidenziale getPianoAssistenzialeResidenzialePort(javax.xml.ws.WebServiceFeature... features)

      Parameters:
        `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
      Returns:
        returns PianoAssistenzialeResidenziale

    - #### __getWsdlLocation

          private static java.net.URL __getWsdlLocation()